Package ghidra.rmi.trace

# Class TraceRmi.AddrRange.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<TraceRmi.AddrRange.Builder>
com.google.protobuf.GeneratedMessage.Builder<TraceRmi.AddrRange.Builder>
ghidra.rmi.trace.TraceRmi.AddrRange.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TraceRmi.AddrRangeOrBuilder`, `Cloneable`

Enclosing class:
  `TraceRmi.AddrRange`

public static final class TraceRmi.AddrRange.Builder extends com.google.protobuf.GeneratedMessage.Builder<TraceRmi.AddrRange.Builder> implements TraceRmi.AddrRangeOrBuilder
Protobuf type `ghidra.rmi.trace.AddrRange`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.AddrRange`
  `build()`
  `TraceRmi.AddrRange`
  `buildPartial()`
  `TraceRmi.AddrRange.Builder`
  `clear()`
  `TraceRmi.AddrRange.Builder`
  `clearExtend()`
  `uint64 extend = 3;`
  `TraceRmi.AddrRange.Builder`
  `clearOffset()`
  `uint64 offset = 2;`
  `TraceRmi.AddrRange.Builder`
  `clearSpace()`
  `string space = 1;`
  `TraceRmi.AddrRange`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `long`
  `getExtend()`
  `uint64 extend = 3;`
  `long`
  `getOffset()`
  `uint64 offset = 2;`
  `String`
  `getSpace()`
  `string space = 1;`
  `com.google.protobuf.ByteString`
  `getSpaceBytes()`
  `string space = 1;`
  `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `TraceRmi.AddrRange.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `TraceRmi.AddrRange.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `TraceRmi.AddrRange.Builder`
  `mergeFrom(TraceRmi.AddrRange other)`
  `TraceRmi.AddrRange.Builder`
  `setExtend(long value)`
  `uint64 extend = 3;`
  `TraceRmi.AddrRange.Builder`
  `setOffset(long value)`
  `uint64 offset = 2;`
  `TraceRmi.AddrRange.Builder`
  `setSpace(String value)`
  `string space = 1;`
  `TraceRmi.AddrRange.Builder`
  `setSpaceBytes(com.google.protobuf.ByteString value)`
  `string space = 1;`

  ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

  `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.AddrRange.Builder>`

  - ### clear

    public TraceRmi.AddrRange.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.AddrRange.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.AddrRange.Builder>`

  - ### getDefaultInstanceForType

    public TraceRmi.AddrRange getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public TraceRmi.AddrRange build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public TraceRmi.AddrRange buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### mergeFrom

    public TraceRmi.AddrRange.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.AddrRange.Builder>`

  - ### mergeFrom

    public TraceRmi.AddrRange.Builder mergeFrom(TraceRmi.AddrRange other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.AddrRange.Builder>`

  - ### mergeFrom

    public TraceRmi.AddrRange.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.AddrRange.Builder>`
    Throws:
      `IOException`

  - ### getSpace

    public String getSpace()
    `string space = 1;`
    Specified by:
      `getSpace` in interface `TraceRmi.AddrRangeOrBuilder`
    Returns:
      The space.

  - ### getSpaceBytes

    public com.google.protobuf.ByteString getSpaceBytes()
    `string space = 1;`
    Specified by:
      `getSpaceBytes` in interface `TraceRmi.AddrRangeOrBuilder`
    Returns:
      The bytes for space.

  - ### setSpace

    public TraceRmi.AddrRange.Builder setSpace(String value)
    `string space = 1;`
    Parameters:
      `value` - The space to set.
    Returns:
      This builder for chaining.

  - ### clearSpace

    public TraceRmi.AddrRange.Builder clearSpace()
    `string space = 1;`
    Returns:
      This builder for chaining.

  - ### setSpaceBytes

    public TraceRmi.AddrRange.Builder setSpaceBytes(com.google.protobuf.ByteString value)
    `string space = 1;`
    Parameters:
      `value` - The bytes for space to set.
    Returns:
      This builder for chaining.

  - ### getOffset

    public long getOffset()
    `uint64 offset = 2;`
    Specified by:
      `getOffset` in interface `TraceRmi.AddrRangeOrBuilder`
    Returns:
      The offset.

  - ### setOffset

    public TraceRmi.AddrRange.Builder setOffset(long value)
    `uint64 offset = 2;`
    Parameters:
      `value` - The offset to set.
    Returns:
      This builder for chaining.

  - ### clearOffset

    public TraceRmi.AddrRange.Builder clearOffset()
    `uint64 offset = 2;`
    Returns:
      This builder for chaining.

  - ### getExtend

    public long getExtend()
    `uint64 extend = 3;`
    Specified by:
      `getExtend` in interface `TraceRmi.AddrRangeOrBuilder`
    Returns:
      The extend.

  - ### setExtend

    public TraceRmi.AddrRange.Builder setExtend(long value)
    `uint64 extend = 3;`
    Parameters:
      `value` - The extend to set.
    Returns:
      This builder for chaining.

  - ### clearExtend

    public TraceRmi.AddrRange.Builder clearExtend()
    `uint64 extend = 3;`
    Returns:
      This builder for chaining.